#### experimental::use_promise_t::executor_with_default::default_completion_token_type

Specify `use_promise_t` as the default completion token type.

    typedef use_promise_t< Allocator > default_completion_token_type;

###### Types

Name | Description
--- | ---
allocator_type | The allocator type. The allocator is used when constructing the promise object for a given asynchronous operation.
executor_with_default | Adapts an executor to add the use_promise_t completion token as the default.

###### Member Functions

Name | Description
--- | ---
as_default_on [static] | Function helper to adapt an I/O object to use use_promise_t as its default completion token type.
get_allocator | Obtain allocator.
rebind | Specify an alternate allocator.
use_promise_t [constructor] | Construct using default-constructed allocator. — Construct using specified allocator.

###### Requirements

Header: `asio/experimental/use_promise.hpp`

Convenience header: None